[_ISTool]
EnableISX=false
Use7zip=false

[Setup]
OutputBaseFilename=launchtool_setup
Compression=lzma/ultra
AppName=LaunchTool
AppVerName=LaunchTool
ChangesAssociations=true

WindowStartMaximized=false
WindowResizable=false
WindowVisible=false

AppID={{FB1A73B9-8296-4CBA-BD5B-828B0DC66331}

OutputDir=.
SourceDir=.
DefaultDirName={pf}\LaunchTool

WindowShowCaption=false
CreateUninstallRegKey=true
DefaultGroupName=LaunchTool
AlwaysUsePersonalGroup=true
AllowNoIcons=true

ShowLanguageDialog=no
InternalCompressLevel=ultra
LanguageDetectionMethod=none
SolidCompression=true


[Files]

; Program files
Source: .\launchtool.exe; DestDir: {app}
Source: .\autodetect.cfg; DestDir: {app}
Source: .\changelog.html; DestDir: {app}
Source: .\engines\boom.cfg; DestDir: {app}\engines
Source: .\engines\doomsday.cfg; DestDir: {app}\engines
Source: .\engines\legacy.cfg; DestDir: {app}\engines
Source: .\engines\prboom.cfg; DestDir: {app}\engines
Source: .\engines\zdaemon.cfg; DestDir: {app}\engines
Source: .\engines\zdoom.cfg; DestDir: {app}\engines


; Controls (OCX)
Source: ..\shared\comdlg32.ocx; DestDir: {sys}; Flags: restartreplace sharedfile regserver
Source: ..\shared\mscomctl.ocx; DestDir: {sys}; Flags: restartreplace sharedfile regserver
Source: ..\shared\comct232.ocx; DestDir: {sys}; Flags: restartreplace sharedfile regserver

; Visual Basic stuff
Source: ..\shared\stdole2.tlb; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regtypelib
Source: ..\shared\msvbvm60.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regserver
Source: ..\shared\oleaut32.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regserver
Source: ..\shared\olepro32.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regserver
Source: ..\shared\asycfilt.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile
Source: ..\shared\comcat.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regserver
Source: ..\shared\scrrun.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regserver
Source: ..\shared\msstdfmt.dll; DestDir: {sys}; Flags: restartreplace uninsneveruninstall sharedfile regserver


[Dirs]
Name: {app}\engines; Flags: deleteafterinstall uninsalwaysuninstall


[UninstallDelete]
Name: {app}\engines; Type: dirifempty
Name: {app}\launchtool.cfg; Type: files
Name: {app}; Type: dirifempty


[Icons]
Name: {group}\LaunchTool; Filename: {app}\launchtool.exe; WorkingDir: {app}; IconFilename: {app}\launchtool.exe; IconIndex: 0
Name: {group}\Changelog; Filename: {app}\changelog.html; WorkingDir: {app}; Flags: runmaximized
Name: {group}\Uninstall LaunchTool; Filename: {uninstallexe}


[Run]
Filename: {app}\launchtool.exe; WorkingDir: {app}; Flags: unchecked skipifdoesntexist postinstall skipifsilent; Description: Run LaunchTool now
