VERSION 5.00
Begin VB.Form frmEngineSettings 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Engine settings"
   ClientHeight    =   5295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5355
   ControlBox      =   0   'False
   Icon            =   "frmEngineSettings.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   5355
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdAccept 
      Caption         =   "Accept"
      Default         =   -1  'True
      Height          =   375
      Left            =   3600
      TabIndex        =   17
      Top             =   4740
      Width           =   1575
   End
   Begin VB.Frame Frame1 
      Caption         =   "Options"
      Height          =   3495
      Left            =   180
      TabIndex        =   18
      Top             =   180
      Width           =   4995
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 16"
         Height          =   255
         Index           =   15
         Left            =   2580
         TabIndex        =   15
         Top             =   2940
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 15"
         Height          =   255
         Index           =   14
         Left            =   2580
         TabIndex        =   14
         Top             =   2580
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 14"
         Height          =   255
         Index           =   13
         Left            =   2580
         TabIndex        =   13
         Top             =   2220
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 13"
         Height          =   255
         Index           =   12
         Left            =   2580
         TabIndex        =   12
         Top             =   1860
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 12"
         Height          =   255
         Index           =   11
         Left            =   2580
         TabIndex        =   11
         Top             =   1500
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 11"
         Height          =   255
         Index           =   10
         Left            =   2580
         TabIndex        =   10
         Top             =   1140
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 10"
         Height          =   255
         Index           =   9
         Left            =   2580
         TabIndex        =   9
         Top             =   780
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 9"
         Height          =   255
         Index           =   8
         Left            =   2580
         TabIndex        =   8
         Top             =   420
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 8"
         Height          =   255
         Index           =   7
         Left            =   300
         TabIndex        =   7
         Top             =   2940
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 7"
         Height          =   255
         Index           =   6
         Left            =   300
         TabIndex        =   6
         Top             =   2580
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 6"
         Height          =   255
         Index           =   5
         Left            =   300
         TabIndex        =   5
         Top             =   2220
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 5"
         Height          =   255
         Index           =   4
         Left            =   300
         TabIndex        =   4
         Top             =   1860
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 4"
         Height          =   255
         Index           =   3
         Left            =   300
         TabIndex        =   3
         Top             =   1500
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 3"
         Height          =   255
         Index           =   2
         Left            =   300
         TabIndex        =   2
         Top             =   1140
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 2"
         Height          =   255
         Index           =   1
         Left            =   300
         TabIndex        =   1
         Top             =   780
         Width           =   2220
      End
      Begin VB.CheckBox chkOptions 
         Caption         =   "Option 1"
         Height          =   255
         Index           =   0
         Left            =   300
         TabIndex        =   0
         Top             =   420
         Width           =   2220
      End
   End
   Begin VB.Label lblParameters 
      BackColor       =   &H80000014&
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Left            =   240
      TabIndex        =   16
      Top             =   4080
      Width           =   4875
   End
   Begin VB.Label lblParametersCaption 
      Caption         =   "Command line parameters"
      Height          =   195
      Left            =   300
      TabIndex        =   19
      Top             =   3840
      Width           =   1875
   End
End
Attribute VB_Name = "frmEngineSettings"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Option Compare Binary
Option Base 0


' The current engine
Private cEngine As Long


' Update this dialog's contents with that of an engine
Public Sub PassEngine(ByVal EngineNum As Long)

    cEngine = EngineNum
    
    ' Set the caption
    Me.Caption = "Engine settings of " & Engines(cEngine).Name
    
    ' Prepare the list of checkboxes
    UpdateOptions

End Sub


' Handle option checkbox clicks
Private Sub chkOptions_Click(Index As Integer)

    ' Update the option
    Engines(cEngine).Options(Index) = chkOptions(Index).Value
    
    ' Update the parameter textbox
    lblParameters.Caption = modUtil.ParameterString(cEngine)
    
End Sub


' Hide the dialog
Private Sub cmdAccept_Click()

    Me.Hide

End Sub


' Prepare the list of checkboxes with the engine's options
Private Sub UpdateOptions()

    Dim A As Long
    
    
    ' Set the checkboxes' captions
    For A = 0 To MaxOptions
    
        ' Hide unused checkboxes
        If A > UBound(Engines(cEngine).Parameters()) Then
            chkOptions(A).Visible = False
        
        Else
            chkOptions(A).Visible = True
        
            ' Set the caption and value
            chkOptions(A).Caption = Engines(cEngine).Parameters(A).Description
            chkOptions(A).Value = modUtil.CCheck(Engines(cEngine).Options(A))
            
        End If
        
    Next A

End Sub
